| Face Engine SDK 5.32.0 A face detection, recognition and tracking engine.

Public Types | Public Member Functions | List of all members
fsdk::IHeadDetector Struct Referenceabstract
Inheritance diagram for fsdk::IHeadDetector:

## Public Types
using | HeadBatchFuture = vlc::future< IDetectionBatchPtr >
| Common aliases for IHeadDetector asynchronous interface.

## Public Member Functions
virtual ResultValue< FSDKError, IDetectionBatchPtr > | detect (Span< const Image > images, Span< const Rect > rects) noexcept=0
| Detects heads on multiple images. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Rect > rects, Span< Result< FSDKError >> outErrors) const noexcept=0
| Validates input of multiple frames in a single function call. More...
virtual HeadBatchFuture | detectAsync (Span< const Image > images, Span< const Rect > rects) const =0
| Asynchronously detects heads on multiple images. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Member Function Documentation

## ◆ detect()

virtual ResultValue<FSDKError, IDetectionBatchPtr> fsdk::IHeadDetector::detect | ( | Span< const Image > | images,
|  | Span< const Rect > | rects
| ) |  |
| pure virtual noexcept

Detects heads on multiple images.

Parameters

  [in] | images | span of source images.
  [in] | rects | input rectangles of interest (ROI) span.

Returns
  ResultValue with error code and IDetectionBatch object.

See also
  Ref, Span, Image, Rect, IDetectionBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ detectAsync()

virtual HeadBatchFuture fsdk::IHeadDetector::detectAsync | ( | Span< const Image > | images,
|  | Span< const Rect > | rects
| ) |  | const
| pure virtual

Asynchronously detects heads on multiple images.

Parameters

  [in] | images | span of source images.
  [in] | rects | input rectangles of interest (ROI) span.

Returns
  Future with IDetectionBatchPtr object.

See also
  Span, Image, Rect, IDetectionBatchPtr for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.
  this method is not marked as noexcept and may throw an exception.

## ◆ validate()

virtual Result<FSDKError> fsdk::IHeadDetector::validate | ( | Span< const Image > | images,
|  | Span< const Rect > | rects,
|  | Span< Result< FSDKError >> | outErrors
| ) |  | const
| pure virtual noexcept

Validates input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | rects | span of rectangle coordinates of corresponding source images.
  [out] | outErrors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Rect, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/IHeadDetector.h